LogLevel (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.types, class: LogLevel

# Class LogLevel

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.types.LogLevel

Direct Known Subclasses:
  `Echo.EchoLevel, Recorder.VerbosityLevelChoices`

public class LogLevel extends EnumeratedAttribute
The enumerated values for Ant's log level.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final LogLevel`
  `DEBUG`
  DEBUG loglevel constant.
  `static final LogLevel`
  `ERR`
  ERR loglevel constant.
  `static final LogLevel`
  `INFO`
  INFO loglevel constant.
  `static final LogLevel`
  `VERBOSE`
  VERBOSE loglevel constant.
  `static final LogLevel`
  `WARN`
  WARN loglevel constant.

  ### Fields inherited from class EnumeratedAttribute

  `value`
  Modifier and Type
  Field
  Description
  `protected String`
  `value`
  The selected value in this enumeration.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LogLevel()`
  Public constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getLevel()`
  get the level of the echo of the current value
  `String[]`
  `getValues()`
  This is the only method a subclass needs to implement.

  ### Methods inherited from class EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`
  Modifier and Type
  Method
  Description
  `final boolean`
  `containsValue(String value)`
  Is this value included in the enumeration?
  `final int`
  `getIndex()`
  `static EnumeratedAttribute`
  `getInstance(Class<? extends EnumeratedAttribute> clazz, String value)`
  Factory method for instantiating EAs via API in a more developer friendly way.
  `final String`
  `getValue()`
  `final int`
  `indexOfValue(String value)`
  get the index of a value in this enumeration.
  `void`
  `setValue(String value)`
  Invoked by `IntrospectionHelper`.
  `String`
  `toString()`
  Convert the value to its string form.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ERR

    public static final LogLevel ERR
    ERR loglevel constant.

  - ### WARN

    public static final LogLevel WARN
    WARN loglevel constant.

  - ### INFO

    public static final LogLevel INFO
    INFO loglevel constant.

  - ### VERBOSE

    public static final LogLevel VERBOSE
    VERBOSE loglevel constant.

  - ### DEBUG

    public static final LogLevel DEBUG
    DEBUG loglevel constant.

- ## Constructor Details

  - ### LogLevel

    public LogLevel()
    Public constructor.

- ## Method Details

  - ### getValues

    public String[] getValues()
    Description copied from class: `EnumeratedAttribute`
    This is the only method a subclass needs to implement.
    Specified by:
      `getValues` in class `EnumeratedAttribute`
    Returns:
      the strings allowed for the level attribute
    See Also:
      - `EnumeratedAttribute.getValues()`

  - ### getLevel

    public int getLevel()
    get the level of the echo of the current value
    Returns:
      the level